# Created by pyp2rpm-3.3.2
%global pypi_name packet-python

Name:           python-%{pypi_name}
Version:        1.42.0
Release:        2%{?dist}
Summary:        Packet API client

License:        LGPL v3
URL:            https://github.com/packethost/packet-python
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pytest-runner
BuildRequires:  python-pytest
BuildRequires:  python-requests-mock

%description
 A Python client for the Packet API.![Build Status]( "Build Status") Table of
Contents* [Installation](installation) * [Documentation](documentation) *
[Authentication](authentication) * [Examples](examples) * [List Projects](list-
projects) * [List Plans](list-plans) * [Creating a Device](creating-a-device) *
[Checking the Status and Rebooting a Device](checking-the-status-and-
rebooting-...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
%description -n python2-%{pypi_name}
 A Python client for the Packet API.![Build Status]( "Build Status") Table of
Contents* [Installation](installation) * [Documentation](documentation) *
[Authentication](authentication) * [Examples](examples) * [List Projects](list-
projects) * [List Plans](list-plans) * [Creating a Device](creating-a-device) *
[Checking the Status and Rebooting a Device](checking-the-status-and-
rebooting-...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(requests)
%description -n python3-%{pypi_name}
 A Python client for the Packet API.![Build Status]( "Build Status") Table of
Contents* [Installation](installation) * [Documentation](documentation) *
[Authentication](authentication) * [Examples](examples) * [List Projects](list-
projects) * [List Plans](list-plans) * [Creating a Device](creating-a-device) *
[Checking the Status and Rebooting a Device](checking-the-status-and-
rebooting-...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install


%files -n python2-%{pypi_name}
%doc README.md
%{python2_sitelib}/packet
%{python2_sitelib}/packet_python-%{version}-py?.?.egg-info

%changelog
* Tue May 19 2020 mockbuilder - 1.42.0-1
- Initial package.
